Subject: Re: bug#13002: Dealing with C intermediate files

From: Hans-Bernhard Bröker <[email-masked]>
Date: Sat, 24 Oct 2020 17:22:58 +0200

Am 24.10.2020 um 01:14 schrieb Reuben Thomas via Bug reports for Automake:
> Unlike include files, you can't simply tell cc to 
> look in two places for the file it is to compile, so some other solution 
> is needed.

Actually the traditional VPATH mechanism does not distinguish types of 
files at all.  C source files can be vpath-searched quite fine.

> So, I couldn't see a model to follow.

The obvious canonical examples would have to be lex and yacc.  They 
generate .c and .h files into the blddir, and automake has built-in 
mechanisms to include the generated sources into the tarball.